package hello;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@Path("/kalkulator")
public class Kalkulator {
	@GET
	@Path("/{x}+{y}")
	public long dodaj(@PathParam("x") long x, @PathParam("y") long y) {
		return x + y;
	}

	@GET
	@Path("/{x}-{y}")
	public long odejmij(@PathParam("x") long x, @PathParam("y") long y) {
		return x - y;
	}

	@GET
	@Path("/{x}*{y}")
	public long pomnoz(@PathParam("x") long x, @PathParam("y") long y) {
		return x * y;
	}

	@GET
	@Path("/{x}/{y}")
	public long podziel(@PathParam("x") long x, @PathParam("y") long y) {
		return x / y;
	}

}
